Get a custom attribute details
GET
Get the details of a custom attribute in the account
header
AuthorizationBearer <token>Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.
account_id*integerThe numeric ID of the account
id*integerThe ID of the custom attribute to be updated.
Success
application/json- response
id?integerIdentifier
attribute_display_name?stringAttribute display name
attribute_display_type?stringAttribute display type (text, number, currency, percent, link, date, list, checkbox)
attribute_description?stringAttribute description
attribute_key?stringAttribute unique key value
regex_pattern?stringRegex pattern
regex_cue?stringRegex cue
attribute_values?stringAttribute values
attribute_model?stringAttribute type(conversation_attribute/contact_attribute)
default_value?stringAttribute default value
created_at?stringThe date and time when the custom attribute was created
updated_at?stringThe date and time when the custom attribute was updated
curl -X GET 'https://helpdesk.inclamo.com/api/v1/accounts/0/custom_attribute_definitions/0'Example Response
{ "id": 0, "attribute_display_name": "string", "attribute_display_type": "string", "attribute_description": "string", "attribute_key": "string", "regex_pattern": "string", "regex_cue": "string", "attribute_values": "string", "attribute_model": "string", "default_value": "string", "created_at": "string", "updated_at": "string"}